SIproc is written using C++ and compatible with both CMake (https://cmake.org/) and the vcpkg (https://docs.microsoft.com/en-us/cpp/build/vcpkg) package manager.

STIM (https://git.stim.ee.uh.edu/codebase/stimlib) is also required.

Step-by-step instructions (Windows):
=============
1) Download and install CMake (https://cmake.org/)
2) Download and install Git (https://git-scm.com/)
3) Download and install vcpkg (https://github.com/microsoft/vcpkg):
		
		git clone https://github.com/Microsoft/vcpkg.git
		cd vcpkg
4) Install the required packages:

		vcpkg install boost:x64-windows
		vcpkg install glew:x64-windows
		vcpkg install freeglut:x64-windows
		vcpkg install clapack:x64-windows
5) Clone SIproc:

	    git clone https://git.stim.ee.uh.edu/release/siproc.git
6) Run CMake, and select the cloned siproc directory and your choice of build location
7) Configure the build environment:
a) Click __Configure__
b) Select your preferred build environment (ex. Visual Studio)
c) Set the platform to __x64__
d) Select the option to __Specify toolchain file for cross-compiling__
e) Click __ Next__
f) When asked, provide the vcpkg toolchain file in:

	    [vcpkg directory]\scripts\buildsystems\vcpkg.cmake
g) Assuming no errors were encountered, click __Generate__
8) Click __Open Project__ to open your build environment
9) Build the project (ex. Visual Studio's __Build Project__)
		
